View Issue Details

IDProjectCategoryView StatusLast Update
17185Bug reportsUser / Groups / Rolespublic2021-03-22 15:27
Reportersamarta Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.4.12 
Fixed in Version4.4.13 
Summary17185: Template permissions turned off after clicking on save when editing permissions
DescriptionIn the user management panel if an administrator cliks on an user "Edit permissions" icon AND then click on SAVE (even without changing any permissions) ALL of the template permissions of that user are turned off.
Steps To Reproduce1 - turn on one or more template permissions for user01, click save and then Close
2 - Edit permissions (the lock icon) , change (or not) some permission in the "Edit permissions" window, but click "Save" and then Close on the "Saved successfully " window
3 - check the template permissions for that user- they are all off
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.4.12+210308
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql Ver 8.0.17
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4.9

Activities

DenisChenu

DenisChenu

2021-03-16 08:42

developer   ~63389

Confirm issue, thank you
DenisChenu

DenisChenu

2021-03-16 09:09

developer   ~63390

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31332
lime_release_bot

lime_release_bot

2021-03-22 15:27

administrator   ~63534

Fixed in Release 4.4.14+210322

Related Changesets

LimeSurvey: master 6b4e12c7

2021-03-16 09:09:44

DenisChenu

Details Diff
Fixed issue 17185: Template permissions deleted when editing global permissions
Dev: template didn't have entity_id
Affected Issues
17185
mod - application/controllers/UserManagementController.php Diff File

Issue History

Date Modified Username Field Change
2021-03-15 23:34 samarta New Issue
2021-03-16 08:41 DenisChenu Assigned To => DenisChenu
2021-03-16 08:41 DenisChenu Status new => assigned
2021-03-16 08:42 DenisChenu Note Added: 63389
2021-03-16 09:09 DenisChenu Changeset attached => LimeSurvey master 6b4e12c7
2021-03-16 09:09 DenisChenu Note Added: 63390
2021-03-16 09:09 DenisChenu Resolution open => fixed
2021-03-16 09:17 DenisChenu Status assigned => resolved
2021-03-16 09:17 DenisChenu Fixed in Version => 4.4.13
2021-03-22 15:27 lime_release_bot Note Added: 63534
2021-03-22 15:27 lime_release_bot Status resolved => closed